# NetherMath

This Python program is a scientific calculator or I can say an advanced calculator that performs various mathematical operations. It includes functions for basic arithmetic operations, trigonometric functions, logarithms, exponentiation, conversions, and more.

## Install using PIP

`pip3 install nethermath`

## Manual Installation

Open the terminal or command prompt

Clone the repository using this command:

`https://github.com/saphiraaa/NetherMath`

Navigate to the directory where the Python script is located:

`cd NetherMath`

Allow executable permission:

`chmod +x *`

Install the necessary requirements:

`pip3 install -r requirements.txt`

Run the script using the command:

`python3 nethermath.py`

Enter `Login` to make an account.

Once you've logged in type `h` or `help` for the commands.

## Features
- Basic arithmetic operations: addition, subtraction, multiplication, division, and remainder.
- Exponentiation and square root.
- Trigonometric functions: sine, cosine, and tangent.
- Logarithmic functions.
- Conversion between different number systems: decimal, binary, hexadecimal, and octal.
- Conversion between different units of distance: meters, light-years, kilometers, feet, and miles.
- Calculation of Pi (π) and Euler's number (e).
- Avogadro's number calculation.
- Evaluation of mixed mathematical expressions.
- Conversion between different scales of weight: kilograms, pounds, tons, grams, and stone.
- Saving and viewing previous calculations.

## Commands

## Mathematical Operators
1. Add
2. Subtract
3. Multiply
4. Divide
5. Remainder
6. Power
7. Square Root

## Mathematical Functions
8. Logarithm
9. Sin
10. Cos
11. Tangent
12. Pi
13. Euler's Number
14. Avogadros's Number

## Conversion Methods
15. Decimal to Binary
16. Binary to Decimal
17. Binary to Hexadecimal
18. Hexadecimal to Binary
19. Binary to Octal
20. Octal to Binary
21. Decimal to Hexadecimal
22. Hexadecimal to Decimal
23. Decimal to Octal
24. Octal to Decimal
25. Text to Binary
26. Binary to Text
27. Octal to Hexadecimal
28. Hexadecimal to Octal

## Distance Measures
29. Meters to Kilometers
30. Kilometers to Meters
31. Kilometers to Light-years
32. Light-years to Kilometers
33. Miles to Kilometers
34. Kilometers to Miles
35. Meters to Miles
36. Miles to Meters

## Weighing Scales
39. Kilograms to Pounds
40. Pounds to Kilograms
41. Kilograms to Grams
42. Grams to Kilograms
43. Kilograms to Ton
44. Ton to Kilograms
45. Pounds to Grams
46. Grams to Pounds
47. Pounds to Ton
48. Ton to Pounds
49. Grams To Ton
50. Ton to Grams
51. Stone to Kilograms
52. Kilograms to Stone
    
## Statistics
53. Mean
54. Median
55. Mode
56. Standard Deviation
57. Variance
58. Range
59. Quartiles
60. Interquartile Range
61. Skewness
62. Kurtosis
63. Z-test

## Roman Numerals
64. Integer to Roman
65. Roman to Integer

## Currency 
65. Currency Converter
66. Cryptocurrency Converter

## Other Options
68. Subnet Calculator
69. Mortgage Calculator
70. Binary Calculator
71. Table List
72. Slovin's Formula
73. Evaluate Mixed Operation
74. View Previous Calculations


Type 'h' or 'help' to list all the options available.

Type 'Exit' or ^C to quit the program.


## Usage Example
1. Upon running the script, a password prompt will appear. Enter the password to proceed.
2. After successful authentication, the calculator menu will be displayed.
3. Enter the number corresponding to the desired operation and follow the prompts to input the required values.
4. The result of the calculation will be displayed, and you will have the option to save the calculation for future reference.
5. To view previous calculations, choose the corresponding option from the menu.

## Note
- You will need to make an account to use the tool first choose the command `Login` then it will ask you if you want to make an account for the tool.
- The calculations are saved to a file named "calculations.txt" in the NetherMath directory. Modify the file path according to your desired path if necessary.
- When using currency converter it needs internet because this code uses API to convert currency and cryptocurrency

## Developer
saphiraaa


